Subject: bug#5059: gnus error message

From: Glenn Morris <[email-masked]>
Date: Tue, 01 Dec 2009 14:11:31 -0500

emacs user wrote:

> in gnus, pressing space on an article title, gets into the
> article,but also gives an error message.
> here is the traceback

> Debugger entered--Lisp error: (error "Invalid search bound (wrong side of point)")  re-search-forward("^\\([ 	]*[-a-z0-9A-Z]*>+[ 	]*\\|[ 	]*\\)" 1186 t)  gnus-cite-parse()  gnus-cite-parse-wrapper()  gnus-cite-parse-maybe(nil)  gnus-article-highlight-citation()  gnus-treat-article(nil 1 1)  gnus-display-mime()  gnus-article-prepare-display()  gnus-article-prepare(8146 nil)  gnus-summary-display-article(8146)  gnus-summary-next-page(nil)  call-interactively(gnus-summary-next-page nil nil)

I cannot reproduce this in the current CVS trunk, but Gnus is
massively configurable, so please try and give a recipe starting from
`emacs -Q'.

BTW, your message had horrible line wrapping, but perhaps this is the
rock'n'roll lifestyle.

> Windows 7: I wanted simpler, now it's simpler. I'm a rock star.